Bug 3134 - installman.sh claims "No manpages present"
installman.sh claims "No manpages present"
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.20a
All OpenBSD
: P3 minor
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-03 16:52 UTC by David Hull
Modified: 2005-10-12 09:24 UTC (History)
0 users

See Also:


Attachments
patch to script/installman.sh (350 bytes, patch)
2005-10-03 16:54 UTC, David Hull
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Hull 2005-10-03 16:52:36 UTC
In attempting to build a port for OpenBSD, I found that installman.sh was not
installing the man pages, but instead claiming that there are "No manpages
present".  The following patch fixes the problem.

--- script/installman.sh.orig   Mon Oct  3 15:42:21 2005
+++ script/installman.sh        Mon Oct  3 15:42:42 2005
@@ -13,7 +13,7 @@
   GROFF=$4                    # sh cmd line, including options 
 fi
 
-if test ! -d ../docs/manpages; then
+if test ! -d $SRCDIR../docs/manpages; then
        echo "No manpages present.  SVN development version maybe?"
        exit 0
 fi
Comment 1 David Hull 2005-10-03 16:54:57 UTC
Created attachment 1473 [details]
patch to script/installman.sh

Patch file as an attachment.
Comment 2 Gerald (Jerry) Carter 2005-10-04 04:38:37 UTC
I'm ok with the patch but I'm trying to understand the 
condition under which it occurs.  Are you buildking outside 
of the source directory?
Comment 3 David Hull 2005-10-04 09:52:39 UTC
Yes, that's right, I'm making an OpenBSD port, which builds outside of the
source directory.
Comment 4 Gerald (Jerry) Carter 2005-10-12 05:59:30 UTC
David.  This has been fixed  for 3.0.20b.  Marc Balmer <marc@msys.ch>
sent me an identical patch.  Are you guys working together on the OpenBSD 
port?  
Comment 5 David Hull 2005-10-12 09:24:47 UTC
Thanks for fixing the problem.

No I wasn't working with anyone else, but I was adapting the existing OpenBSD
port for the new version of Samba, so it's not too surprising that we both
encountered the same problem.